org.appng.appngizer.model.xml

## Class Group

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Group

- Direct Known Subclasses:
    Group

      public class Group
      extends Nameable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}nameable">
             <sequence>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element ref="{http://www.appng.org/schema/appngizer}roles" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `description`
    `protected Roles` | `roles`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the value of the description property.
    `Roles` | `getRoles()` Gets the value of the roles property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setRoles(Roles value)` Sets the value of the roles property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected String description

    - #### roles

          protected Roles roles

  - ### Constructor Detail

    - #### Group

          public Group()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRoles

          public Roles getRoles()

      Gets the value of the roles property.
      Returns:
        possible object is `Roles`

    - #### setRoles

          public void setRoles(Roles value)

      Sets the value of the roles property.
      Parameters:
        `value` - allowed object is `Roles`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.